KILL(1)

NAME
kill - send a signal to a process

SYNOPSIS
kill [-n] process

OPTIONS

-n  # Signal number to send

-NAME
    # Named signal to send

EXAMPLES

kill 35
    # Send signal 15 to process 35

kill -9 40
    # Send signal 9 to process 40

kill -2 0
    # Send signal 2 to whole terminal process group

kill -HUP -123
    # Send a hangup to process group 123

DESCRIPTION

A signal is sent to a given process. By default signal 15 (SIGTERM) is sent. Process 0 means all the processes in the sender's process group. A process group can be signalled by the negative value of the process group ID. Signals may be numerical, or the name of the signal without SIG.

SEE ALSO
kill(2), sigaction(2).